@mixin make-tx-weight($s : vars.$class) {
    #{$s}tx-thin{
        font-weight: 100;
    }
    #{$s}tx-extralight{
        font-weight: 200;
    }
    #{$s}tx-light{
        font-weight: 300;
    }
    #{$s}tx-regular{
        font-weight: 400;
    }
    #{$s}tx-medium{
        font-weight: 500;
    }
    #{$s}tx-semibold{
        font-weight: 600;
    }
    #{$s}tx-bold{
        font-weight: 700;
    }
    #{$s}tx-extrabold{
        font-weight: 800;
    }
    #{$s}tx-strong{
        font-weight: 900;
    }
}